Bug 53141 - traceback during lilo of kernel installation
Summary: traceback during lilo of kernel installation
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-04 14:40 UTC by James Manning
Modified: 2015-01-07 23:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-04 17:42:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2001:119 normal SHIPPED_LIVE New up2date and rhn_register clients available 2001-10-03 04:00:00 UTC

Description James Manning 2001-09-04 14:40:46 UTC
Description of Problem:
This is during the package installation phase after bug #53139
After the 4 packages for update are selected, the installation goes fine 
(kernel-source is last), and with both package and overall progress bars at 
100%, I get this traceback:

Traceback (innermost last):
  File "/usr/share/rhn/up2date_client/gui.py", line 749, in doInstallation
    up2date.installBootLoader(kernelsToInstall)
  File "/usr/share/rhn/up2date_client/up2date.py", line 2008, in 
installBootLoader
    __install_lilo(kernelList)
  File "/usr/share/rhn/up2date_client/up2date.py", line 2027, in __install_lilo
    ret = lilocfg.installNewImages(kernelList,test=0)
  File "/usr/share/rhn/up2date_client/lilocfg.py", line 260, in installNewImages 
   header = finddeplocal(db,default_image)
NameError: finddeplocal

up2date is now hung, stuck in the "busy" state

Version-Release number of selected component (if applicable):
up2date-2.6.0-7.x.37

How Reproducible:
very

Steps to Reproduce:
see description and bug #53139

Additional Information:
same setup as per bug #53139

Comment 1 Adrian Likins 2001-09-04 17:42:29 UTC
yup, real bug. Just fixed. Will be in next client.

called the wrong function name...

Comment 2 David M. Cook 2002-02-14 00:06:41 UTC
Fixed in

http://www.redhat.com/support/errata/RHBA-2001-119.html


Note You need to log in before you can comment on or make changes to this bug.